Main Page Data Structures File List Data Fields Globals Related Pages

# BitmapFileHeader Struct Reference

Compound structure for Windows .bmp files. More...

`#include <bitmap.h>`

## Data Fields
short | bfType
long | bfSize
short | bfReserved1
short | bfReserved2
long | bfOffBits
long | biSize
long | biWidth
long | biHeight
short | biPlanes
short | biBitCount
long | biCompression
long | biSizeImage
long | biXPelsPerMeter
long | biYPelsPerMeter
long | biClrUsed
long | biClrImportant
unsigned long | color0
unsigned long | color1

## Detailed Description

Compound structure for Windows .bmp files.

For simplicity, this structure contains a BITMAPFILEHEADER, BITMAPINFOHEADER, and 2 RGBQUADS to directly support 2 color uncompressed bitmap files. Check out a copy of the Windows Platform SDK for more info.

Definition at line 53 of file bitmap.h.

## Field Documentation

long BitmapFileHeader::bfOffBits

| Definition at line 60 of file bitmap.h. Referenced by BM_Load(), and BM_Save().

short BitmapFileHeader::bfReserved1

| Definition at line 58 of file bitmap.h. Referenced by BM_Save().

short BitmapFileHeader::bfReserved2

| Definition at line 59 of file bitmap.h. Referenced by BM_Save().

long BitmapFileHeader::bfSize

| Definition at line 57 of file bitmap.h. Referenced by BM_Save().

short BitmapFileHeader::bfType

| Definition at line 56 of file bitmap.h. Referenced by BM_Load(), and BM_Save().

short BitmapFileHeader::biBitCount

| Definition at line 65 of file bitmap.h. Referenced by BM_Load(), and BM_Save().

long BitmapFileHeader::biClrImportant

| Definition at line 71 of file bitmap.h. Referenced by BM_Save().

long BitmapFileHeader::biClrUsed

| Definition at line 70 of file bitmap.h. Referenced by BM_Save().

long BitmapFileHeader::biCompression

| Definition at line 66 of file bitmap.h. Referenced by BM_Load(), and BM_Save().

long BitmapFileHeader::biHeight

| Definition at line 64 of file bitmap.h. Referenced by BM_Load(), and BM_Save().

short BitmapFileHeader::biPlanes

| Definition at line 65 of file bitmap.h. Referenced by BM_Load(), and BM_Save().

long BitmapFileHeader::biSize

| Definition at line 63 of file bitmap.h. Referenced by BM_Save().

long BitmapFileHeader::biSizeImage

| Definition at line 67 of file bitmap.h. Referenced by BM_Save().

long BitmapFileHeader::biWidth

| Definition at line 64 of file bitmap.h. Referenced by BM_Load(), and BM_Save().

long BitmapFileHeader::biXPelsPerMeter

| Definition at line 68 of file bitmap.h. Referenced by BM_Save().

long BitmapFileHeader::biYPelsPerMeter

| Definition at line 69 of file bitmap.h. Referenced by BM_Save().

unsigned long BitmapFileHeader::color0

| Definition at line 74 of file bitmap.h. Referenced by BM_Save().

unsigned long BitmapFileHeader::color1

| Definition at line 74 of file bitmap.h. Referenced by BM_Save().

The documentation for this struct was generated from the following file:

- bitmap.h